<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Director Api Documentation</title>
    <style>
        table, th, td {
          border: 1px solid black;
          border-collapse: collapse;
        }
        th, td {
          padding: 5px;
          text-align: left;    
        }
    </style>
</head>
<body>
    <div>
        <p>Here is a list of Directors api endpoints and what they do</p>
        <ul>
            <li>
                <p>Get all directors</p>
                <table>
                    <tr>
                        <th>GET Method:</th>
                        <td>Url : /api/directors</td>
                      </tr>
                </table>
            </li>
            <li>
                <p>Get director with id</p>
                <table>
                    <tr>
                        <th rowspan="3">GET Method:</th>
                        <td>Url : /api/directors/:directorID</td>
                      </tr>
                      <tr>
                          <td>Params : directorID</td>
                      </tr>
                      <tr>
                        <td>Values : 35 unique directors, Put any number between 1 to 50, if nothing turns up then try another number</td>
                      </tr>
                </table>
            </li>
            <li>
                <p>Add a director</p>
                <table>
                    <tr>
                        <th rowspan="2">POST Method:</th>
                        <td>Url : /api/directors</td>
                      </tr>
                      <tr>
                        <td>Request body : { "directorName": "value"} Insert the name of director in place of value</td>
                      </tr>
                </table>
            </li>
            <li>
                <p>Update director with an id</p>
                <table>
                    <tr>
                        <th rowspan="4">PUT Method:</th>
                        <td>Url : /api/directors/:directorID</td>
                      </tr>
                      <tr>
                          <td>Params : directorID</td>
                      </tr>
                      <tr>
                        <td>Values : 35 unique directors, Put any number between 1 to 50, if nothing turns up then try another number</td>
                      </tr>
                      <tr>
                        <td>Request body : { "directorName": "value"} Insert the name of director in place of value</td>
                      </tr>
                </table>
            </li>
            <li>
                <p>Delete a director with an id</p>
                <table>
                    <tr>
                        <th rowspan="3">DELETE Method:</th>
                        <td>Url : /api/directors/:directorID</td>
                      </tr>
                      <tr>
                          <td>Params : directorID</td>
                      </tr>
                      <tr>
                        <td>Values : 35 unique directors, Put any number between 1 to 50, if nothing turns up then try another number</td>
                      </tr>
                </table>
            </li>
        </ul>
    </div>
</body>
</html>